Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class InputNumberSliderTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.InputNumberSliderTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class InputNumberSliderTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputNumberSliderTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(java.lang.String __accesskey)`
`void` | `setAlign(java.lang.String __align)`
`void` | `setAlt(java.lang.String __alt)`
`void` | `setBarClass(java.lang.String __barClass)`
`void` | `setBarStyle(java.lang.String __barStyle)`
`void` | `setConverterMessage(java.lang.String __converterMessage)`
`void` | `setDisabled(java.lang.String __disabled)`
`void` | `setEnableManualInput(java.lang.String __enableManualInput)`
`void` | `setHandleClass(java.lang.String __handleClass)`
`void` | `setHandleSelectedClass(java.lang.String __handleSelectedClass)`
`void` | `setHeight(java.lang.String __height)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setInputClass(java.lang.String __inputClass)`
`void` | `setInputPosition(java.lang.String __inputPosition)`
`void` | `setInputSize(java.lang.String __inputSize)`
`void` | `setInputStyle(java.lang.String __inputStyle)`
`void` | `setLabel(java.lang.String __label)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`void` | `setMaxlength(java.lang.String __maxlength)`
`void` | `setMaxValue(java.lang.String __maxValue)`
`void` | `setMinValue(java.lang.String __minValue)`
`void` | `setOnblur(java.lang.String __onblur)`
`void` | `setOnchange(java.lang.String __onchange)`
`void` | `setOnerror(java.lang.String __onerror)`
`void` | `setOnfocus(java.lang.String __onfocus)`
`void` | `setOninputclick(java.lang.String __oninputclick)`
`void` | `setOninputdblclick(java.lang.String __oninputdblclick)`
`void` | `setOninputkeydown(java.lang.String __oninputkeydown)`
`void` | `setOninputkeypress(java.lang.String __oninputkeypress)`
`void` | `setOninputkeyup(java.lang.String __oninputkeyup)`
`void` | `setOninputmousedown(java.lang.String __oninputmousedown)`
`void` | `setOninputmousemove(java.lang.String __oninputmousemove)`
`void` | `setOninputmouseout(java.lang.String __oninputmouseout)`
`void` | `setOninputmouseover(java.lang.String __oninputmouseover)`
`void` | `setOninputmouseup(java.lang.String __oninputmouseup)`
`void` | `setOnselect(java.lang.String __onselect)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRequiredMessage(java.lang.String __requiredMessage)`
`void` | `setShowBoundaryValues(java.lang.String __showBoundaryValues)`
`void` | `setShowInput(java.lang.String __showInput)`
`void` | `setShowToolTip(java.lang.String __showToolTip)`
`void` | `setSize(java.lang.String __size)`
`void` | `setStep(java.lang.String __step)`
`void` | `setTabindex(java.lang.String __tabindex)`
`void` | `setTipClass(java.lang.String __tipClass)`
`void` | `setTipStyle(java.lang.String __tipStyle)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValidatorMessage(java.lang.String __validatorMessage)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputNumberSliderTag

    public InputNumberSliderTag()

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

### setAlign

    public void setAlign(java.lang.String __align)

### setAlt

    public void setAlt(java.lang.String __alt)

### setBarClass

    public void setBarClass(java.lang.String __barClass)

### setBarStyle

    public void setBarStyle(java.lang.String __barStyle)

### setConverterMessage

    public void setConverterMessage(java.lang.String __converterMessage)

### setDisabled

    public void setDisabled(java.lang.String __disabled)

### setEnableManualInput

    public void setEnableManualInput(java.lang.String __enableManualInput)

### setHandleClass

    public void setHandleClass(java.lang.String __handleClass)

### setHandleSelectedClass

    public void setHandleSelectedClass(java.lang.String __handleSelectedClass)

### setHeight

    public void setHeight(java.lang.String __height)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setInputClass

    public void setInputClass(java.lang.String __inputClass)

### setInputPosition

    public void setInputPosition(java.lang.String __inputPosition)

### setInputSize

    public void setInputSize(java.lang.String __inputSize)

### setInputStyle

    public void setInputStyle(java.lang.String __inputStyle)

### setLabel

    public void setLabel(java.lang.String __label)

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setMaxValue

    public void setMaxValue(java.lang.String __maxValue)

### setMaxlength

    public void setMaxlength(java.lang.String __maxlength)

### setMinValue

    public void setMinValue(java.lang.String __minValue)

### setOnblur

    public void setOnblur(java.lang.String __onblur)

### setOnchange

    public void setOnchange(java.lang.String __onchange)

### setOnerror

    public void setOnerror(java.lang.String __onerror)

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

### setOninputclick

    public void setOninputclick(java.lang.String __oninputclick)

### setOninputdblclick

    public void setOninputdblclick(java.lang.String __oninputdblclick)

### setOninputkeydown

    public void setOninputkeydown(java.lang.String __oninputkeydown)

### setOninputkeypress

    public void setOninputkeypress(java.lang.String __oninputkeypress)

### setOninputkeyup

    public void setOninputkeyup(java.lang.String __oninputkeyup)

### setOninputmousedown

    public void setOninputmousedown(java.lang.String __oninputmousedown)

### setOninputmousemove

    public void setOninputmousemove(java.lang.String __oninputmousemove)

### setOninputmouseout

    public void setOninputmouseout(java.lang.String __oninputmouseout)

### setOninputmouseover

    public void setOninputmouseover(java.lang.String __oninputmouseover)

### setOninputmouseup

    public void setOninputmouseup(java.lang.String __oninputmouseup)

### setOnselect

    public void setOnselect(java.lang.String __onselect)

### setRequired

    public void setRequired(java.lang.String __required)

### setRequiredMessage

    public void setRequiredMessage(java.lang.String __requiredMessage)

### setShowBoundaryValues

    public void setShowBoundaryValues(java.lang.String __showBoundaryValues)

### setShowInput

    public void setShowInput(java.lang.String __showInput)

### setShowToolTip

    public void setShowToolTip(java.lang.String __showToolTip)

### setSize

    public void setSize(java.lang.String __size)

### setStep

    public void setStep(java.lang.String __step)

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

### setTipClass

    public void setTipClass(java.lang.String __tipClass)

### setTipStyle

    public void setTipStyle(java.lang.String __tipStyle)

### setValid

    public void setValid(java.lang.String __valid)

### setValidator

    public void setValidator(java.lang.String __validator)

### setValidatorMessage

    public void setValidatorMessage(java.lang.String __validatorMessage)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setWidth

    public void setWidth(java.lang.String __width)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.